# $Revision: 1.3 $, $Date: 2009/03/14 16:18:26 $
Summary:	wicked - a lua library for dynamic widgets in awesome
Summary(hu.UTF-8):	wicked - egy lua könyvtár dinamikus widget-ekhez awesome ablakkezelőben
Summary(pl.UTF-8):	wicked - biblioteka lua do dynamicznych widgetów w awesome
Name:		awesome-plugin-wicked
Version:	20090314
Release:	1
License:	GPL v2
Group:		X11/Window Managers
## git clone git://git.glacicle.com/awesome/wicked.git
Source0:	http://carme.pld-linux.org/~uzsolt/sources/%{name}-%{version}.tar.bz2
# Source0-md5:	4f63b5923180989a35868c1b7b280301
Obsoletes:	wicked
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wicked is a library, written in lua, for easy creation and management
of dynamic awesome statusbar widgets, from the rc.lua configuration
file.

%description -l hu.UTF-8
Wicked egy lua-ban írt könyvtár az awesome statusbar-jában levő
widgetek könnyű létrehozásához és menedzselése az rc.lua konfigurációs
fájlból.

%description -l pl.UTF-8
Wicked jest biblioteka języka lua służącą do łatwego tworzenia
i zarządzania dynamicznymi obiektami na paskach statusu zarządcy okien
awesome z poziomu pliku konfiguracyjnego rc.lua.

%prep
%setup -q -n wicked
%{__gzip} -d wicked.7.gz

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/awesome/lib
install -d $RPM_BUILD_ROOT%{_mandir}/man7
install wicked.lua $RPM_BUILD_ROOT%{_datadir}/awesome/lib
install wicked.7 $RPM_BUILD_ROOT%{_mandir}/man7

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
# XXX parent dir deps missing
%{_datadir}/awesome/lib/wicked.lua
%{_mandir}/man7/wicked.7*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: awesome-plugin-wicked.spec,v $
Revision 1.3  2009/03/14 16:18:26  pawelz
- pl

Revision 1.2  2009/03/14 15:22:41  uzsolt
- hungarizing
- Obsoletes wicked
- rel 1

Revision 1.1  2009/03/14 15:09:18  uzsolt
- update
- rename to awesome-plugin-wicked

Revision 1.3  2008/09/14 21:39:44  glen
- man7 dir should came from FHS package

Revision 1.2  2008/09/14 21:39:07  glen
- unified, do not assume compressed manuals

Revision 1.1  2008/09/13 22:52:35  uzsolt
- initial (from git snapshot)
